cURL
curl --request GET \
--url https://aodocs.altirnao.com/api/library/{libraryId}/classId/{classId}/documentId/{documentId}/attachmentId/{attachmentId}/extension/{extensionType} \
--header 'Authorization: Bearer <token>'import requests
url = "https://aodocs.altirnao.com/api/library/{libraryId}/classId/{classId}/documentId/{documentId}/attachmentId/{attachmentId}/extension/{extensionType}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aodocs.altirnao.com/api/library/{libraryId}/classId/{classId}/documentId/{documentId}/attachmentId/{attachmentId}/extension/{extensionType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attributes": {
"blocks": [
{
"attributes": [
{
"boundingBox": {
"height": 123,
"maxX": 123,
"maxY": 123,
"minX": 123,
"minY": 123,
"width": 123
},
"position": {
"x": 123,
"y": 123,
"z": 123
},
"rotation": 123,
"tag": "<string>",
"textHeight": 123,
"value": "<string>",
"widthFactor": 123
}
],
"blockName": "<string>"
}
],
"classId": "<string>",
"customProperties": {},
"documentId": "<string>",
"domainName": "<string>",
"drawingExtents": {
"height": 123,
"maxX": 123,
"maxY": 123,
"maxZ": 123,
"minX": 123,
"minY": 123,
"minZ": 123,
"width": 123
},
"error": {
"code": "<string>",
"details": {},
"message": "<string>"
},
"extractedAt": "<string>",
"file": {
"id": "<string>"
},
"libraryId": "<string>",
"libraryType": "<string>",
"status": "<string>",
"version": "<string>"
},
"kind": "<string>",
"xrefs": {
"classId": "<string>",
"documentId": "<string>",
"domainName": "<string>",
"error": {
"code": "<string>",
"details": {},
"message": "<string>"
},
"extractedAt": "<string>",
"file": {
"id": "<string>"
},
"libraryId": "<string>",
"libraryType": "<string>",
"status": "<string>",
"version": "<string>",
"xrefs": [
{
"name": "<string>",
"originalPath": "<string>",
"resolved": true
}
]
}
}drawing
Get library classid documentid attachmentid extension
Returns the OSS extension data (e.g. ADXREF, ADATTR) stored alongside an attachment.
GET
/
library
/
{libraryId}
/
classId
/
{classId}
/
documentId
/
{documentId}
/
attachmentId
/
{attachmentId}
/
extension
/
{extensionType}
cURL
Authorizations
google_id_token-a99f12e0google_id_token_legacy-a99f12e0
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the library
The ID of the document class
The ID of the document
The OSS object id of the attachment.
The extension type to retrieve (e.g. ADXREF, ADATTR).
⌘I